.construction {
    padding-top: rem(40);
    padding-bottom: rem(43);

    &__heading {
        margin-bottom: rem(17);

        &--md {
            display: none;
        }
    }

    &__text {
        font-weight: 500;
        font-size: rem(12);
        line-height: rem(16);
        margin-bottom: rem(19);

        &--md {
            display: none;
        }
    }

    &__media {
        margin: 0 rem(-20) rem(20) rem(-20);
    }

    &__links {
        margin: 0 0 rem(18) 0;
        padding: 0;
        list-style: none;

        display: grid;
        grid-row-gap: rem(14);
        grid-column-gap: rem(14);
        grid-template-columns: 1fr 1fr;
    }

    &__link {
        color: $dark;
        display: flex;
        align-items: center;
        font-weight: 700;
        font-size: rem(12);
        line-height: rem(14);
        text-decoration: none;
        transition: .3s;

        &:hover,
        &.active {
            color: $green;
            text-decoration: none;
            transition: .3s;
        }

        i {
            font-size: 0;
            line-height: 0;
            height: rem(30);
            display: inline-block;
            margin-right: rem(10);
            flex-shrink: 0;
        }
    }

    &__button {

        .btn {
            width: 100%;
        }
    }

    @include media-breakpoint-up(sm) {

        &__media {
            overflow: hidden;
            border-radius: 8px;
            margin: 0 0 rem(20) 0;
            box-shadow: 5px 15px 15px rgba(0, 0, 0, 0.05);
        }
    }

    @include media-breakpoint-up(md) {
        padding: rem(80) 0;

        &__heading {
            margin-bottom: rem(30);
        }

        &__text {
            font-size: rem(16);
            line-height: rem(24);
        }
    }

    @include media-breakpoint-up(lg) {

        &__heading {
            text-align: left;

            &--sm {
                display: none;

            }

            &--md {
                display: block;
            }
        }

        &__text {
            font-size: rem(12);
            line-height: rem(16);
            margin-bottom: rem(32);

            &--sm {
                display: none;

            }

            &--md {
                display: block;
            }
        }

        &__wrap {
            display: flex;
            justify-content: space-between;
        }

        &__media {
            margin: 0;
            width: rem(520);
            flex-shrink: 0;
        }

        &__content {
            padding-left: rem(30);
            flex-grow: 1;
        }

        &__links {
            margin-bottom: rem(32);
        }

        &__button {

            .btn {
                width: auto;
                min-width: rem(165);
            }
        }
    }


    @include media-breakpoint-up(xl) {
        padding-top: rem(120);
        padding-bottom: rem(121);

        &__media {
            width: rem(555);
        }

        &__text {
            font-size: rem(16);
            line-height: rem(24);
            margin-bottom: rem(34);
        }

        &__links {
            margin-bottom: rem(34);
            grid-column-gap: rem(63);
        }

        &__link {
            font-size: rem(16);
            line-height: rem(18);
            align-items: flex-start;
        }
    }
}
